#1312 SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O exception

cdk-1.4.x
closed
nobody
1
2013-12-18
2013-10-21
Houbi
No

The SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O creates a parserexception:

org.openscience.cdk.exception.CDKException: The string [O;D1;$([a,A].[A,a])][CH]=O is not a valid SMARTS string: Encountered " "." ". "" at line 1, column 14.

Should match OC=O.c1ccccc1 but not OC=O

Related

Bugs: #1312

Discussion

  • John May

    John May - 2013-10-21

    Hi Houbi,

    Not sure if you can do component level grouping in recursive patterns. Daylight won't parse your original pattern and removing the extra
    parenthesis (which do the grouping) means that

    [O;D1;$([a,A].[A,a])][CH]=O

    will match both

    OC=O.c1ccccc1
    OC=O

    Try it out here - http://www.daylight.com/daycgi_tutorials/depictmatch.cgi

    On 21 Oct 2013, at 09:36, Houbi houbi56@users.sf.net wrote:

    [bugs:#1312] SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O exception

    Status: open
    Labels: Smarts Smartsparser
    Created: Mon Oct 21, 2013 08:36 AM UTC by Houbi
    Last Updated: Mon Oct 21, 2013 08:36 AM UTC
    Owner: nobody

    The SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O creates a parserexception:

    org.openscience.cdk.exception.CDKException: The string [O;D1;$([a,A].[A,a])][CH]=O is not a valid SMARTS string: Encountered " "." ". "" at line 1, column 14.

    Should match OC=O.c1ccccc1 but not OC=O

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1312/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1312

    • Houbi

      Houbi - 2013-10-21

      We have been in contact with Daylight who verified that this smarts is correct and that they have a bug.
      They've issued a ticket internally and are working on correcting their implementation.

       
  • John May

    John May - 2013-10-21

    Okay thanks,

    I'm not sure if we'll be able to fix this - the parser/subgraph impl currently isn't very nice but will keep the bug open. If you do need a better SMARTS implementation using the CDK I would recommend ambit-smarts. Not sure if it will handle this case though.

    http://ambit.sourceforge.net/AMBIT2-LIBS/ambit2-smarts/index.html

    J

    On 21 Oct 2013, at 13:35, Houbi houbi56@users.sf.net wrote:

    We have been in contact with Daylight who verified that this smarts is correct and that they have a bug.
    They've issued a ticket internally and are working on correcting their implementation.

    [bugs:#1312] SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O exception

    Status: open
    Labels: Smarts Smartsparser
    Created: Mon Oct 21, 2013 08:36 AM UTC by Houbi
    Last Updated: Mon Oct 21, 2013 08:36 AM UTC
    Owner: nobody

    The SMARTS [O;D1;$(([a,A]).([A,a]))][CH]=O creates a parserexception:

    org.openscience.cdk.exception.CDKException: The string [O;D1;$([a,A].[A,a])][CH]=O is not a valid SMARTS string: Encountered " "." ". "" at line 1, column 14.

    Should match OC=O.c1ccccc1 but not OC=O

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/bugs/1312/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1312

  • John May

    John May - 2013-11-16

    Okay fixed it. We didn't have component grouping so I added that and was a simple extension. Will update when there the patch has been applied.

     
  • John May

    John May - 2013-11-16
    • status: open --> pending
     
  • John May

    John May - 2013-12-18
    • status: pending --> closed
     
  • John May

    John May - 2013-12-18

    Added in version > 1.5

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks